Skip to content
Start here

Delete deployment

client.pages.projects.deployments.delete(stringprojectName, stringdeploymentId, DeploymentDeleteParams { account_id, force } params, RequestOptionsoptions?): DeploymentDeleteResponse | null
DELETE/accounts/{account_id}/pages/projects/{project_name}/deployments/{deployment_id}

Delete a deployment.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pages Write
ParametersExpand Collapse
projectName: string

Name of the project.

deploymentId: string

Identifier.

maxLength32
params: DeploymentDeleteParams { account_id, force }
account_id: string

Path param: Identifier.

maxLength32
force?: boolean

Query param: Allow deletion of aliased non-production deployments when a normal delete would be rejected.

ReturnsExpand Collapse
DeploymentDeleteResponse = unknown

Delete deployment

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const deployment = await client.pages.projects.deployments.delete(
  'this-is-my-project-01',
  '023e105f4ecef8ad9ca31a8372d0c353',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(deployment);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}